import 'dart:io';

import 'package:path/path.dart';

class Init {
  String workingDir;

  Init() {
    this.workingDir = Directory.current.path;
  }

  void init() {
    createDirectories();
    createFiles();
  }

  void createDirectories() {
    final directories = [
      join(workingDir, 'lib', 'components'),
      join(workingDir, 'lib', 'pages'),
      join(workingDir, 'lib', 'database'),
      join(workingDir, 'lib', 'database', 'migrations'),
    ];

    for (var index = 0; index < directories.length; index++) {
      final directory = Directory(directories[index]);
      final directoryExists = directory.existsSync();

      if (!directoryExists) {
        directory.createSync();
      }
    }
  }

  void createFiles() {
    final files = [join(workingDir, '.env')];

    for (var index = 0; index < files.length; index++) {
      final file = File(files[index]);
      final fileExists = file.existsSync();

      if (!fileExists) {
        file.createSync();
      }
    }
  }
}
