import 'dart:collection';

import 'package:enge/makers/maker.dart';
import 'package:path/path.dart';
import 'package:slugify/slugify.dart';
import 'package:sprintf/sprintf.dart';

class ComponentMaker extends Maker {
  String name;

  ComponentMaker(String name) {
    this.name = name;
  }

  @override
  String getTemplateFileName() {
    return 'component_template.template';
  }

  @override
  String getTargetLocation() {
    return join('lib', 'components');
  }

  @override
  String getTargetFileName() {
    return sprintf('%s_component.dart', [Slugify(this.name)]);
  }

  @override
  HashMap<String, String> getVariables() {
    final variables = HashMap<String, String>();
    variables['COMPONENT_NAME'] = this.name;

    return variables;
  }
}
