import 'dart:collection';
import 'dart:io';

import 'package:cooker/cooker.dart';
import 'package:enge/support/script_location.dart';
import 'package:path/path.dart';

abstract class Maker {
  String getTemplateFileName();

  String getTargetLocation();
  String getTargetFileName();

  HashMap<String, String> getVariables();

  String getTemplatePath() {
    final scriptLocation = ScriptLocation.get();
    final fileName = getTemplateFileName();

    return join(scriptLocation, 'lib', 'makers', 'templates', fileName);
  }

  String getTargetPath() {
    final workingDir = Directory.current.path;
    final targetLocation = join(workingDir, getTargetLocation());
    final targetFileName = getTargetFileName();

    return join(targetLocation, targetFileName);
  }

  void make() {
    final templatePath = getTemplatePath();
    final tagetPath = getTargetPath();
    final variables = getVariables();

    Cooker(templatePath, tagetPath, contentVariables: variables).generate();
  }
}
