import 'package:enge/makers/component_maker.dart';
import 'package:path/path.dart';
import 'package:test/test.dart';

void main() {
  test('template-filename', () {
    final instance = ComponentMaker('Example');

    expect(instance.getTemplateFileName(), 'component_template.template');
  });

  test('target-location', () {
    final instance = ComponentMaker('Example');
    final expected = join('lib', 'components');

    expect(instance.getTargetLocation(), expected);
  });

  test('target-filename', () {
    final instance = ComponentMaker('Example');

    expect(instance.getTargetFileName(), 'example_component.dart');
  });

  test('variables', () {
    final instance = ComponentMaker('Example');
    final result = instance.getVariables();

    expect(result.length, 1);
    expect(result['COMPONENT_NAME'], 'Example');
  });
}
