import 'package:enge/makers/migration_maker.dart';
import 'package:path/path.dart';
import 'package:test/test.dart';

void main() {
  test('template-filename', () {
    final instance = MigrationMaker('Example');

    expect(instance.getTemplateFileName(), 'migration_template.template');
  });

  test('target-location', () {
    final instance = MigrationMaker('Example');
    final expected = join('lib', 'database', 'migrations');

    expect(instance.getTargetLocation(), expected);
  });

  test('target-filename', () {
    final instance = MigrationMaker('Example');

    expect(instance.getTargetFileName(), endsWith('_migration.dart'));
  });

  test('variables', () {
    final instance = MigrationMaker('Example');
    final result = instance.getVariables();

    expect(result.length, 1);
    expect(result['MIGRATION_NAME'], 'Example');
  });
}
