import 'package:enge/makers/page_maker.dart';
import 'package:path/path.dart';
import 'package:test/test.dart';

void main() {
  test('template-filename', () {
    final instance = PageMaker('Example');

    expect(instance.getTemplateFileName(), 'page_template.template');
  });

  test('target-location', () {
    final instance = PageMaker('Example');
    final expected = join('lib', 'pages');

    expect(instance.getTargetLocation(), expected);
  });

  test('target-filename', () {
    final instance = PageMaker('Example');

    expect(instance.getTargetFileName(), 'example_page.dart');
  });

  test('variables', () {
    final instance = PageMaker('Example');
    final result = instance.getVariables();

    expect(result.length, 1);
    expect(result['PAGE_NAME'], 'Example');
  });
}
